/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", "index" ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a05523.html", null ],
    [ "BomAbstract", "a05524.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a05525.html", null ],
    [ "KeyAbstract", "a05526.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a05527.html", null ],
    [ "C++ Class Storing the StdAir Context", "a05528.html", null ],
    [ "People", "a05529.html", [
      [ "Project Admins (and Developers)", "a05529.html#admins", null ],
      [ "Retired Developers", "a05529.html#retired", null ],
      [ "Contributors", "a05529.html#contributors", null ],
      [ "Distribution Maintainers", "a05529.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a05530.html", [
      [ "Default Naming Rules for Variables", "a05530.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a05530.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a05530.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a05530.html#cr_files", null ],
      [ "Default Functionality of Classes", "a05530.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a05531.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a05531.html#gnugpl", [
        [ "Version 2.1, February 1999", "a05531.html#version", null ]
      ] ],
      [ "Preamble", "a05531.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a05531.html#terms", [
        [ "NO WARRANTY", "a05531.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a05531.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a05531.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a05532.html", [
      [ "General Rules", "a05532.html#doc_general", null ],
      [ "File Header", "a05532.html#doc_header", null ],
      [ "Grouping Various Parts", "a05532.html#doc_groups", null ]
    ] ],
    [ "Main features", "a05533.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a05533.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a05533.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a05534.html", null ],
    [ "Make a new release", "a05535.html", [
      [ "Introduction", "a05535.html#description", null ],
      [ "Initialisation", "a05535.html#initialisation", null ],
      [ "Branch creation", "a05535.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a05535.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a05535.html#trunk_update", null ],
      [ "Create distribution packages", "a05535.html#create_packages", null ],
      [ "Generation the RPM packages", "a05535.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a05535.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a05535.html#create_bin_packages", null ],
      [ "Files on GitHub", "a05535.html#upload_files", null ],
      [ "Upload the documentation to GitHub", "a05535.html#upload_doc", null ]
    ] ],
    [ "Installation", "a05536.html", [
      [ "Table of Contents", "a05536.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a05536.html#rpm_linux", null ],
      [ "StdAir Requirements", "a05536.html#requirements", null ],
      [ "Basic Installation", "a05536.html#basic_instructions", null ],
      [ "Compilers and Options", "a05536.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a05536.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a05536.html#installation_names", null ],
      [ "Optional Features", "a05536.html#optional_features", null ],
      [ "Particular systems", "a05536.html#particular_systems", null ],
      [ "Specifying the System Type", "a05536.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a05536.html#sharing_defaults", null ],
      [ "Defining Variables", "a05536.html#defining_variables", null ],
      [ "‘cmake’ Invocation", "a05536.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a05537.html", [
      [ "Introduction", "a05537.html#intro", null ],
      [ "Using the pkg-config command", "a05537.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a05537.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a05537.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a05537.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a05538.html", [
      [ "The Test Source Files", "a05538.html#test_source", null ],
      [ "The Reference File", "a05538.html#reference_file", null ],
      [ "Testing StdAir Library", "a05538.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a05539.html", [
      [ "Table of Contents", "a05539.html#ug_toc", null ],
      [ "Introduction", "a05539.html#ug_introduction", null ],
      [ "Get Started", "a05539.html#ug_get_started", [
        [ "Get the StdAir library", "a05539.html#ug_get_source", null ],
        [ "Build the StdAir project", "a05539.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a05539.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a05539.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a05539.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a05539.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a05539.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a05539.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a05539.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a05539.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a05539.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a05540.html", [
      [ "StdAir 3.10.x", "a05540.html#stdair_3_10", [
        [ "Linux Systems", "a05540.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a05540.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a05540.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a05540.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a05540.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a05540.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a05540.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a05540.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a05540.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a05540.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a05540.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a05540.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a05540.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a05540.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a05540.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a05540.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a05540.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a05540.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a05541.html", [
      [ "StdAir 3.9.1", "a05541.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a05541.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a05541.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a05542.html", [
      [ "Table of Contents", "a05542.html#tut_toc", null ],
      [ "Introduction", "a05542.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a05542.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a05542.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a05542.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a05542.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a05542.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a05542.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a05542.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a05542.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a05542.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a05542.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a05542.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a05542.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Specific Implementation of a BOM Root", "a05543.html", null ],
    [ "Specific Implementation of a BOM Root", "a05544.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a05545.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a05546.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a05547.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00371.html",
"a00743.html",
"a01035.html#a1a96e87682c40214e7138a7826aa9cae",
"a01035.html#a7d3cf09bc0efb632891c0722dda6ac4d",
"a01035.html#adbc9d3be0f7f0d93d07db20c7c6941e7",
"a01898.html#ad309232af410e3e25c40fdd1c74e4952",
"a01946.html#a4d47a19c16592098fd593ad2ab87270a",
"a01970.html#ac20505e5af1b835f575b0edbd54ab0b3",
"a01998.html#aba758beca4974b89c79fd7a1a45eae96",
"a02034.html#a9394603fd775789fdf00bd4369c13344",
"a02074.html#ac2bbbadbccaf2e36d2033e73c8cc6dc6",
"a02090.html#a378e2dfc495af08cbea14b378eebf8c6",
"a02118.html#acd795084cfd6d138c620a46d5113fd3f",
"a02146.html#a40e1c88e1377f965e61da269feb74b97",
"a02182.html#a494b3d3d718ef2b8adee53a414aeeb16",
"a02198.html#a26952d12ac22bc085e9ab34cc5c20a19",
"a02222.html#ac5ecc093fbbda268d6558075b2ac0279",
"a02250.html#aa39300f07cd6672d1a206c0184df7f82",
"a02270.html#a8d6683496de9541c484d915beff0999a",
"a02286.html#ac648f10c48c6e59c49ba71dc5d02642e",
"a02314.html#afa11f6281e22c65c464e92549122bd89",
"a02386.html#af2104dabafde6d416011ff5cc04be264",
"a02494.html#a7f3ef57d9980d93f75a92e9e7a1b07b2",
"a05531.html#terms",
"namespaces.html"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';